package inviomail;

import java.awt.*;
import java.awt.event.*;

/**
 *
 * @author Domenico Boncoddo
 */
public class TextFieldLimitato extends TextField implements KeyListener {

    private int max; // Numero massimo di caratteri

    public TextFieldLimitato() {
        super();
    }

    public TextFieldLimitato(int columns) {
        super(columns);
    }

    public TextFieldLimitato(String text) {
        super(text);
    }

    public TextFieldLimitato(String text, int columns) {
        super(text, columns);
    }

    public TextFieldLimitato(String text, int columns, int max) {
        super(text, columns);
        this.max = max;
    }

    @Override
    public void keyTyped(KeyEvent e) {
    }

    @Override
    public void keyPressed(KeyEvent e) {
        char carattere = e.getKeyChar();
        int dimensione = getText().length();
        if (dimensione < max) {
            // Non fare niente...
        } else {
            if ((carattere == KeyEvent.VK_BACK_SPACE)
                    || (carattere == KeyEvent.VK_DELETE)
                    || (carattere == KeyEvent.VK_ENTER)
                    || (carattere == KeyEvent.VK_TAB)
                    || e.isActionKey()) {
                // Non fare niente...
            } else {
                e.consume();
            }
        }

    }

    @Override
    public void keyReleased(KeyEvent e) {
    }
}
